package cat.xaviermarin.pm.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import cat.xaviermarin.pm.domain.Milestone;

public interface MilestoneRepository extends CrudRepository<Milestone, Long> {	
	
	@Query("select m from Milestone m where m.project.id = :id")
	public List<Milestone> findAllByProjectId(@Param("id") Long id);
}
