package cat.xaviermarin.pm.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.query.Param;

import cat.xaviermarin.pm.domain.Task;

public interface TaskRepository extends CrudRepository<Task, Long> {

	@Query("select t from Task t where t.project.id = :id")
	public List<Task> findAllByProjectId(@Param("id") Long id);
}
