<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page pageEncoding="UTF-8" %>

<html>
	<head>
		<title>Project Management</title>    
		<style> 
	    <!--    
		#title {
			font-size:24pt;
		}
		.table_center {
			margin-left:auto; 
	    	margin-right:auto;
		}
		.content_center {
			text-align:center;
		}
		#help {
			font-size:10pt;			
		}	
		#error {
			color:red;
		}
	    -->
		</style>   
	</head>

	<body onload="document.f.j_username.focus();">
  		<div id="body">    
			<br />
			<br />
			
			<div id="title" class="content_center">
			Project Management
			</div>
 
			<br />
			<br />

			<form name="f" action="<c:url value='j_spring_security_check'/>" method="POST">
				<table class="table_center">      	
					<tr>
						<td>User:</td>
						<td><input type='text' name='j_username' value='<c:if test="${not empty param.login_error}"><c:out value="${SPRING_SECURITY_LAST_USERNAME}"/></c:if>'/></td>
					</tr>
					<tr>
						<td>Pass:</td>
						<td><input type='password' name='j_password'></td>
					</tr>				
					<tr>
						<td colspan='2' class="content_center"><input name="Entrar" type="submit"></td>
					</tr>        
				</table>
			</form>

			<div>
				<table id="help" class="table_center">
					<tr>
						<td>Demo User</td>
						<td>Pass</td>
						<td>Roles</td>
					</tr>	
					<tr>
						<td>fxmarin</td>
						<td>fxmarin</td>
						<td>ROLE_ADMINISTATOR</td>
					</tr>	
					<tr>
						<td>mcabad</td>
						<td>mcabad</td>
						<td>ROLE_PERSONAL</td>
					</tr>
					<tr>
						<td>a</td>
						<td>a</td>
						<td>ROLE_PERSONAL</td>
					</tr>
					<tr>
						<td>b</td>
						<td>b</td>
						<td>ROLE_HEADPROJECTS</td>
					</tr>
					<tr>
						<td>c</td>
						<td>c</td>
						<td>ROLE_CHIEFPROJECTS</td>
					</tr>
					<tr>
						<td>d</td>
						<td>d</td>
						<td>ROLE_ADMINISTATOR</td>
					</tr>
				</table>
			</div>
			
			<br />
			<br />
			
			<c:if test="${not empty param.login_error}">
				<div id="error" class="content_center">
				Your login attempt was not successful, try again.<br/><br/>
				Reason: <c:out value="${SPRING_SECURITY_LAST_EXCEPTION.message}"/>.
				</div>
			</c:if>
		</div>
	</body>
</html>
