INSERT INTO roles (id, name) 
		VALUES (1, 'ROLE_PERSONAL');
INSERT INTO roles (id, name) 
		VALUES (2, 'ROLE_HEADPROJECTS');
INSERT INTO roles (id, name) 
		VALUES (3, 'ROLE_CHIEFPROJECTS');		
INSERT INTO roles (id, name) 
		VALUES (4, 'ROLE_ADMINISTATOR');		

INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (1, 'fxmarin', 'Francesc Xavier', 'Marín', 'fxmarin@gmail.com', 'fxmarin', true, 4);
INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (2, 'mcabad', 'Maria Carmen', 'Abad', 'mcabad@gmail.com', 'mcabad', true, 1);
INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (3, 'x', 'Francesc Xavier', 'Marín', 'fxmarin@gmail.com', 'x', true, 4);
INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (4, 'm', 'Maria Carmen', 'Abad', 'mcabad@gmail.com', 'm', false, 1);
INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (5, 'a', 'User with ROLE_PERSONAL', 'a', 'a@gmail.com', 'a', true, 1);
INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (6, 'b', 'User with ROLE_HEADPROJECTS', 'b', 'b@gmail.com', 'b', true, 2);	
INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (7, 'c', 'User with ROLE_CHIEFPROJECTS', 'c', 'c@gmail.com', 'c', true, 3);		
INSERT INTO users (id, login, firstName, lastName, email, password, enabled, role_id) 
		VALUES (8, 'd', 'User with ROLE_ADMINISTATOR', 'd', 'd@gmail.com', 'd', true, 4);		
		
INSERT INTO projects (id, name, description, webAddress, director_id, chief_id)
		VALUES (1, 'Projecte1', 'Descripció projecte 1', 'http://www.google.com', 1, 2);
INSERT INTO projects (id, name, description, webAddress, director_id, chief_id)
		VALUES (2, 'Projecte2', 'Descripció projecte 2', 'http://www.yahoo.com', 2, 1);
INSERT INTO projects (id, name, description, webAddress, director_id, chief_id)
		VALUES (3, 'Projecte3', 'Descripció projecte 3', 'http://www.ohhohh.com', 1, 1);
INSERT INTO projects (id, name, description, webAddress, director_id, chief_id)
		VALUES (4, 'Projecte4', 'Descripció projecte 4', 'http://www.msn.com', 2, 2);

INSERT INTO milestones (id, name, description, project_id, startDate, endDate)
		VALUES (1, 'Milestone1', 'Description milestone 1', 1, '1980-07-30', '1980-07-30');
INSERT INTO milestones (id, name, description, project_id, startDate, endDate)
		VALUES (2, 'Milestone2', 'Description milestone 2', 1, '2013-06-03', '2013-06-04');
INSERT INTO milestones (id, name, description, project_id, startDate, endDate)
		VALUES (3, 'Milestone3', 'Description milestone 3', 2, '2013-06-05', '2013-06-06');
INSERT INTO milestones (id, name, description, project_id, startDate, endDate)
		VALUES (4, 'Milestone4', 'Description milestone 4', 2, '2013-06-07', '2013-06-08');
INSERT INTO milestones (id, name, description, project_id, startDate, endDate)
		VALUES (5, 'Milestone5', 'Description milestone 5', 3, '2013-06-09', '2013-06-10');
INSERT INTO milestones (id, name, description, project_id, startDate, endDate)
		VALUES (6, 'Milestone6', 'Description milestone 6', 4, '2013-06-11', '2013-06-12');
		
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (1, 'Task1', 'Description task 1', 1, 1, '1980-07-30', '1980-07-30');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (2, 'Task2', 'Description task 2', 1, 2, '2013-06-03', '2013-06-04');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (3, 'Task3', 'Description task 3', 1, 3, '2013-06-05', '2013-06-06');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (4, 'Task4', 'Description task 4', 2, 4, '2013-06-07', '2013-06-08');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (5, 'Task5', 'Description task 5', 2, 5, '2013-06-09', '2013-06-10');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (6, 'Task6', 'Description task 6', 2, 6, '2013-06-11', '2013-06-12');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (7, 'Task7', 'Description task 7', 3, 1, '1980-07-30', '1980-07-30');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (8, 'Task8', 'Description task 8', 3, 2, '2013-06-03', '2013-06-04');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (9, 'Task9', 'Description task 9', 3, 3, '2013-06-05', '2013-06-06');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (10, 'Task10', 'Description task 10', 4, 4, '2013-06-07', '2013-06-08');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (11, 'Task11', 'Description task 11', 4, 5, '2013-06-09', '2013-06-10');
INSERT INTO tasks (id, name, description, project_id, milestone_id, startDate, endDate)
		VALUES (12, 'Task12', 'Description task 12', 4, 6, '2013-06-11', '2013-06-12');		
		
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (1, 'Description assignation 1', 10, 1);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (2, 'Description assignation 2', 20, 1);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (3, 'Description assignation 3', 30, 2);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (4, 'Description assignation 4', 40, 2);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (5, 'Description assignation 5', 50, 3);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (6, 'Description assignation 6', 60, 3);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (7, 'Description assignation 7', 70, 4);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (8, 'Description assignation 8', 80, 4);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (9, 'Description assignation 9', 90, 5);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (10, 'Description assignation 10', 100, 5);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (11, 'Description assignation 11', 110, 6);
INSERT INTO assignations (id, description, spendTime, task_id)
		VALUES (12, 'Description assignation 12', 120, 6);